{% load static %}

<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>
        {% block title %}{% endblock %}
    </title>

    <link href="{% static 'css/add_books_form.css' %}" rel="stylesheet" type="text/css" media="screen" />
	<!-- Bootstrap -->
	<link type="text/css" rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}" />

		<!-- Google font -->
	<link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet">

    <!--- jquery library for dependent dropdown selects (Example: Room selected => select shelf from the selected room) ----->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>


    <!------------------ jquery script for dependent drop down menus (options from the second dropdown menu, depending on the selected option from the first dropdown menu): ------------>
       <!---------      Examples: Rooms -> Shelfs; Category -> Subcategory ---->

    <script>
        $(document).ready(function()
        {
            <!-- Dependent drop down menus Rooms -> Shelfs functionality -->
            var $roomvar = $("#selected_rooms");
                $shelfvar = $("#selected_shelfs");

                $options_1 = $shelfvar.find('option');
                $roomvar.on('change',function()
                {
                    $shelfvar.html($options_1.filter('[value="'+this.value+'"]'));
                }).trigger('change');


            <!-- Dependent drop down menus Categories -> Subcategories functionality -->
            var $categoryvar = $("#selected_categories");
                $subcategoryvar = $("#selected_subcategories");

                $options_2 = $subcategoryvar.find('option');
                $categoryvar.on('change',function()
                {
                    $subcategoryvar.html($options_2.filter('[value="'+this.value+'"]'));
                }).trigger('change');

        });


    </script>

</head>
<body>
<div id="header-wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<li><a href="{% url 'home' %}" class="first">Home</a></li>
			</ul>
		</div>
		<div id="user_name">
            {% block top_username %}{% endblock %}
		</div>

	</div>
</div>

<div id="logo">
	<div class="form-header">
		<h1>
            {% block add_header_title %}{% endblock %}
        </h1>
	</div>
</div>
<hr />
<!-- end #logo -->

<div id="page">
	<div id="page-bgtop">
		<div id="content">

                    {% block content_form %}

                    {% endblock %}

		</div>
		<!-- end #content -->

		<div style="clear: both;">&nbsp;</div>
	</div>
	<!-- end #page -->
	<div id="footer">
		<p>SDA (Curs Python) -> Proiect final: Bookeeper </p>
	</div>
	<!-- end #footer -->
</div>

</body>
</html>
